/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 * 
 *  Copyright (C) 2012 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  $Id: test_diswai2.h 837 2012-12-26 15:09:59Z ertl-hiro $
 */

/* 
 *		Ԥػ߾֤˴ؤƥ(2)
 */

/*
 *  åȰ¸
 */
#include "target_test.h"

/*
 *  ƥͥ٤
 */
#define TASK1_PRIORITY	10		/* 1ͥ */
#define TASK2_PRIORITY	9		/* 2ͥ */
#define TASK3_PRIORITY	9		/* 3ͥ */
#define TASK4_PRIORITY	11		/* 4ͥ */
#define TASK5_PRIORITY	10		/* 5ͥ */

/*
 *  åȤ˰¸ǽΤ
 */
#ifndef STACK_SIZE
#define	STACK_SIZE		4096		/* Υå */
#endif /* STACK_SIZE */

/*
 *  ĥSVCֹ
 */
#define TFN_EXTSVC1		(51)
#define TFN_EXTSVC2		(52)

/*
 *  ؿΥץȥ
 */
#ifndef TOPPERS_MACRO_ONLY

extern void	tex_task1(TEXPTN texptn, intptr_t exinf);
extern void	task1(intptr_t exinf);

extern void	task2(intptr_t exinf);

extern void	task3(intptr_t exinf);

extern void	task4(intptr_t exinf);

extern void	alarm1_handler(intptr_t exinf);
extern void	alarm2_handler(intptr_t exinf);

extern ER_UINT extsvc1_routine(intptr_t par1, intptr_t par2, intptr_t par3,
								intptr_t par4, intptr_t par5, ID cdmid);
extern ER_UINT extsvc2_routine(intptr_t par1, intptr_t par2, intptr_t par3,
								intptr_t par4, intptr_t par5, ID cdmid);

#endif /* TOPPERS_MACRO_ONLY */
